/*  Importing Goole fonts */
@import url('https://fonts.googleapis.com/css2?family=Miniver&family=Poppins:ital,wght@0,400;0,500;0,600;0,700;1,400&display=swap');

*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
     font-family: "Poppins", sans-serif;
}
:root
{
    /* colors */
  --white-color:#fff;
  --dark-color:#252525;
  --primary-color:#3b141c;
  --secondary-color: #f3961c;
  --light-pink-color:#faf4f5;
  --medium-gray-color:#ccc;

  /* font size */
  --font-size-s:0.9rem;
  --font-size-n:1rem;
  --font-size-m:1.12rem;
  --font-size-1:1.5rem;
  --font-size-xl:2rem;
  --font-size-xxl:2rem;
  
}
html {
    scroll-behavior: smooth;

}
/* stylings for whole site */
ul{
    list-style: none;
}
a{
    text-decoration: none;
}
button{
    cursor: pointer;
    border: none;
    background:none ;
}
img {
    width: 100%;
}

.section-content
{
    margin: 0 auto;
    padding: 0 20px;
    max-width: 1200px;
}
.section-title{
     text-align: center;
     padding:60px 0px 100px ;
     text-transform: uppercase;
     font-size: x-large;
}
.section-title::after
{
    content: "";
    width: 80px;
    height: 5px;
    display: block;
    background:var(--secondary-color);
    margin: 10px auto 0;
    border-radius: 5px;

}

/* Navbar styling*/

header {
    background: var(--primary-color);
    position: fixed;
    width: 100%;
    z-index: 5;
}
header .navbar
{
    display: flex;
    padding: 20px;
    align-items: center;
    justify-content: space-between;
}
.navbar .nav-logo .logo-text
{
 color:var(--white-color);
 font-size:30px;
 font-weight:700;
}
header .nav-menu 
{
    display: flex;
    gap: 10px;
}
.navbar .nav-menu .nav-link
{
    padding: 10px 18px;
    background: var(--primary-color);
    color:var(--white-color);
    border-radius: 20px;
    font-size: 18px;
    transition: 0.3s ease;
}
.navbar .nav-menu .nav-link:hover
{
    background: var(--secondary-color);
}
.hero-section
{
   min-height:100vh;
    background: var(--primary-color);
}
.hero-section .section-content
{
    display: flex;
    align-items: center;
    min-height: 100vh;
    color:var(--white-color);
    justify-content: space-between;
}
.hero-section .hero-details .title
{
    font-size: xx-large;
    color:var(--secondary-color);
    font-family:"Miniver" ,sans-serif;
}
.hero-section .hero-details .subtitle
{
    font-size: x-large;
    margin-top: 8px;
    max-width: 70%;
    font-weight: 600; 
}
.hero-section .hero-details .description
{
    font-size: medium;
    max-width: 70%;
    margin: 24px 0 40px;

}
.hero-section .hero-details .button
{
font-size: 18px;
padding: 10px  26px;
background: var(--secondary-color);
color: var(--primary-color);
border-radius:25px ;
font-weight: 500;
border: 2px solid transparent;
transition:0.3s ease ;
}   
.hero-section .hero-details .buttons
{
    display: flex;
    gap: 23px;
}  

.hero-section .hero-details .button:hover,
.hero-section .hero-details .Contact-Us
{
    color: var(--white-color);
    border-color: var(--white-color);
    background: transparent;
}          
.hero-section .hero-details .Contact-Us:hover
{
    color: var(--primary-color);
    border-color: var(--secondary-color);
    background: var(--secondary-color);
}
.navbar :where(#menu-close-button ,#menu-open-button)
{
    display: none;
}
/* }hero section styling */

.hero-section .hero-image-wrapper
{
   max-width: 500px;
   margin-right: 30px;
}
/* About section styling */
.about-section
{
  padding: 120px 0;
  background: var(--light-pink-color);
}
.about-section .section-content{
    display: flex;
    align-items: center;
    justify-content: space-between;
   

}
.about-section .about-image-wrapper .about-image{
    width: 400px;
    height: 400px;
    object-fit: cover;
    border-radius: 50%;   
}
.about-section .About-details .section-title
{
 padding: 0;
}
.about-section .About-details
 {
    max-width: 55%;
 }
.about-section  .social-link-list{
  display: flex;
  gap: 25px;
  justify-content: center;
}
.about-section  .social-link-list .social-link
{
    color:var(--primary-color) ;
    font-size:var(--font-size-l);
    transition: 0.2s ease;
}
.about-section  .social-link-list .social-link:hover
{
    color: var(--secondary-color);

}
.about-section .About-details .text {
    max-width: 670px;
    margin: 50px auto 30px;
    line-height: 1.8;
    font-size: var(--font-size-m);
    text-align: center;
}
/* Menu section styling */
.menu-section
{
    background:var(--dark-color) ;
    color: var(--white-color);
    padding: 50px 0 100px;
}
.menu-section .menu-list{
    display: flex;
    gap:110px;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}
.menu-section .menu-list .menu-item
{
    display: flex;
    align-items: center;
    flex-direction: column;
    width: calc((100% / 3) - 110px);
    justify-content: space-between;
    text-align: center;
}
.menu-section .menu-list .menu-item .menu-image
{
   max-width: 83%;
   aspect-ratio: 1;
   margin: 15px ;
   object-fit: contain;
   
}
.menu-section .menu-list .menu-item .name
{
    margin: 12px 0px ;
    font-size: large;
    font-weight: 600;
}
.menu-section .menu-list .menu-item .text
{
    font-size: medium;

}
/* testimonials section styling */
.testimonials-section{
    padding: 50px;
    background: var(--light-pink-color);
}
.testimonials-section .slide-wrapper
{
    overflow: hidden;
    margin:0 60px 50px ;


}
.testimonials-section .testimonial
{
    display: flex;
    padding: 35px;
    flex-direction: column;
    align-items: center;
    text-align: center;
    user-select: none;

}
.testimonials-section .testimonial .user-image{
    width: 180px;
    height: 180px;
    object-fit: cover;
    border-radius:50%;

}
.testimonials-section .testimonial .name{
    margin-bottom: 16px;
    font-size:var(--font-size-m) ;
}
.testimonials-section .testimonial .feedback{
    line-height: 25px;

}
.testimonials-section .swiper-pagination-bullet{
    width:15px;
    height: 15px;
    opacity: 1;
    background: var(--secondary-color);
}
.testimonials-section .swiper-slide-button
{
    color: var(--secondary-color);
    transition:.3s ease ;
    margin-top:-50px ;
    
}
.testimonials-section .swiper-slide-button:hover{
    color: var(--primary-color);
}
/* Gallery section styling */
.gallery-section{
    padding: 50px 0px 100px;
}
.gallery-section .gallery-list{
    display: flex;
    flex-wrap: wrap;
    gap: 32px;

}
.gallery-section .gallery-list .gallery-item
{
    overflow:hidden ;
    border-radius: 10px;
    width: calc(100% /3 - 32px);

}
.gallery-section  .gallery-item .gallery-image
{
    width:100%;
    height: 100%;
    cursor: zoom-in;
   transition: 0.3s ease;

}
.gallery-section  .gallery-item:hover .gallery-image
{
 transform:scale(1.3) ;

}
/* Contact  us stying */

.contact-section
{
 background:var(--light-pink-color);
 padding: 50px 0px 100px;
}
.contact-section  .section-content 
{
 display: flex;
 gap:48px;
 align-items:flex-start;
 justify-content: space-between;
}
.contact-section .contact-info-list .contact-info
{
   display: flex;
   gap: 20px;
   margin:20px 0px ;
   align-items: center;
}
.contact-section .contact-info-list .contact-info i{
    font-size: var(--font-size-m);

}
.contact-section .contact-form .form-input
{
  width: 100%;
  height: 50px;
  padding: 0px 12px ;
  outline:none ;
  margin-bottom: 16px;
  background: var(--white-color);
  border-radius: 10px;
  border: 1px solid var(--medium-gray-color) ;
}
.contact-section .contact-form  textarea.form-input
{
    height: 100px;
    padding: 12px;
    resize: vertical;
}
.contact-section .contact-form
{
    max-width: 50%;

}

.contact-section .contact-form .form-input:focus
{
    border-color: var(--secondary-color);

}
.contact-section .contact-form .submit-button{
    background: var(--primary-color);
    padding: 10px 26px;
    margin-top: 10px;
    color: white;
    border-radius: 20px;
    font-weight: 500;
    font-size: var(--font-size-m);
    border: 1px solid var(--primary-color);
    transition: 0.3s ease;
}
.contact-section .contact-form .submit-button:hover
{
    background:transparent;
    color: var(--primary-color);
}
/* Footer section styling  */
.footer-section
{
    background: var(--dark-color);
    padding: 20px 0;
}
.footer-section .section-content
{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.footer-section .social-link-list
{
    display: flex;
    gap: 25px;

}
.footer-section .social-link-list .social-link
{
  font-size: var(--font-size-l);
}
.footer-section .social-link-list .social-link:hover,.footer-section .policy-text .policy-link:hover{

    color: var(--secondary-color);
}
.footer-section .policy-text
{
 color: var(--white-color);
 margin: 0 5px ;
}
.footer-section :where(.copyright-text,
.social-link,.policy-link)
{
    color:var(--white-color);
    transition: 0.2s ease;

}

/* Responsive media quary code for max with 1024px  */
@media screen  and (max-width:1024px) 
{
    .menu-section .menu-list
    {
        gap: 60px;
    }
  .menu-section .menu-list .menu-item
  {
     width: calc((100% / 3) - 60px);
  }
}
/* Responsive media quary code for max with 900px  */
@media screen  and (max-width:900px) {
    :root{
        --font-size-m:1rem;
        --font-size-l:1.3rem;
        --font-size-xl:1.5rem;
        --font-size-xxl:1.8rem;
    }
     body.show-mobile-menu header::before{
        content: "";
        position: fixed;
        left: 0;
        top: 0;
        height: 100%;
        width:100%;
        backdrop-filter:blur(5px);
        background: rgba(0, 0, 0, .2);
     }
    .navbar .nav-menu{
            display: block;
            background: var(--white-color);
            position: fixed;
            left:-350px ;
            top :0;
            padding-top: 100px ;
            width: 350px;
            height: 100%;
            align-items: center;
            flex-direction: column;
            color: var(--white-color);
            z-index: 1000;
            transition: left 0.2s ease;
            text-align: center;
            
    }
    body.show-mobile-menu .navbar .nav-menu
    {
        left: 0;
    }
    .navbar :where(#menu-close-button ,#menu-open-button)
    {
        font-size: var(--font-size-l);
        display: block;
    }
    .navbar #menu-close-button
    {
        position: absolute;
        right: 30px;
        top: 30px;
    }
     .navbar #menu-open-button
     {
        color: var(--white-color);
     }
    .navbar .nav-menu .nav-link{
        display: block;
        font-size: var(--font-size-xl);
        margin-top: 17px;
        transition:all .3s ease;
        text-align: center;
        width: 80%;
        margin-left: 40px;
    }
    .hero-section .section-content{
        flex-direction: column-reverse;
        justify-content: center;
        gap: 50px;
        text-align: center;
        padding:30px 20px 20px  ;
    }
    .hero-section .hero-details :is(.subtitle,.description),
    .about-section .About-details ,.contact-section .contact-form
    {
        max-width: 100%;
    }
    .hero-section .hero-details .buttons
    {
        justify-content: center;
    }
    .hero-section .hero-image-wrapper{
        max-width: 270px;
        margin-top: 0;
    }
    .about-section .section-content
    {
        gap: 70px;
        flex-direction: column-reverse;


    }
    .about-section .about-image-wrapper .about-image
    {
        width:100% ;
        height: 100%;
        max-width: 250px;
        aspect-ratio: 1;
    }

        .menu-section .menu-list
    {
        gap: 30px;
    }
  .menu-section .menu-list .menu-item
  {
     width: calc((100% / 2) - 30px);
  }
   .menu-section .menu-list .menu-item  .menu-image
   {
    max-width: 200px;
   }

   .gallery-section .gallery-list .gallery-item{
    width: calc(100% /2 - 30px);
   }
  .gallery-section .gallery-list 
  {
    gap:30px;

  }

  .contact-section  .section-content {
    flex-direction: column-reverse;
    align-items: center;
  }
}

/* Responsive media quary code for max with 640px  */
@media  screen and (max-width:640px)  {
   .menu-section .menu-list {
    gap: 60px;
   }
  .menu-section .menu-list .menu-item,
  .gallery-section .gallery-list .gallery-item
  {
     width: 100%;
  }
    
  .testimonials-section .swiper-slide-button
  {
    display:none;

  }

  .testimonials-section .slide-wrapper
  {
    margin: 0 0 30px;
  }
  .footer-section .section-content
  {
    flex-direction: column;
    gap: 2px;

  }
}